List Skill Cards
curl --request GET \
--url https://api.example.com/hub/skill/{hub_id}/cards \
--header 'x-user-id: <x-user-id>'import requests
url = "https://api.example.com/hub/skill/{hub_id}/cards"
headers = {"x-user-id": "<x-user-id>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-user-id': '<x-user-id>'}};
fetch('https://api.example.com/hub/skill/{hub_id}/cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cards": [
{
"hub_id": "<string>",
"name": "<string>",
"id": "",
"description": "",
"display_name": "<string>",
"tags": [
"<string>"
],
"version": "<string>",
"updated_at": 123,
"author": "<string>",
"icon_url": "<string>",
"installs": 123,
"downloads": 123,
"url": "<string>",
"markdown": "<string>",
"metadata": {}
}
],
"next_cursor": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}hub
List Skill Cards
Browse or search one skill hub’s catalog.
GET
/
hub
/
skill
/
{hub_id}
/
cards
List Skill Cards
Headers
Caller's user ID. Temporary header-based identity; will be replaced by JWT auth.
Path Parameters
Query Parameters
Required range:
1 <= x <= 200⌘I